vlax-curve-getParamAtPoint

Wyszukaj w słowniku

Dostępne słowniki:

TerminDefinicja
vlax-curve-getParamAtPoint

(vlax-curve-getParamAtPoint krzywa punkt)

Zwraca parametr krzywej w określonym punkcie.

Jeśli określony punkt leży na krzywej lub na jej przedłużeniu, funkcja zwraca wartość liczę rzeczywistą, reprezentującą parametr krzywej o tym punkcie. W przeciwnym przypadku funkcja zwraca wartość nil.

(command "spline" "0,0" "6,7" "12,2" "22,8" "" "" "")
(setq spline (vlax-ename->vla-object (entlast)))
(vlax-curve-getParamAtPoint spline (vlax-curve-getClosestPointTo spline  (list 12 4 0) ))

Zwraca 15.7229.

comments powered by Disqus